Bug 65912 - Font selection in Gnome Term fails to take effect from menu selection
Font selection in Gnome Term fails to take effect from menu selection
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-utils (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-03 20:18 EDT by Richard Schaal
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-04 13:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Schaal 2002-06-03 20:18:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.18 i686)

Description of problem:
Can't get the terminal fonts changed after installing RedHat 7.3 through the
terminal properties menu even when fonts are displayed in the menu ok.  This
occurs both as a regular user and as the superuser.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Clean RedHat 7.2 install
2. Start X with GNOME window manager
3. start gnome terminal and try to change fonts to larger - I usually try
courier bold at 20 point size.
	

Actual Results:  No effect even after pressing "APPLY" button - fonts stay the
same.  This didn't happen on the 7.2 release as I recall.  Note that I avoided
the "two byte" fonts that the menu warns against.

Expected Results:  Fonts should have taken effect, resizing terminal window as
needed.

Additional info:
Comment 1 Havoc Pennington 2002-06-03 21:15:02 EDT
Check stderr for the terminal (or ~/.xsession-errors) and see if there are
warnings about the codeset. If so you are picking a font that doesn't match your
locale.
Comment 2 Richard Schaal 2002-06-04 11:15:08 EDT
You are right on - pointing out an error message in .xsession-errors :
The font "-adobe-courier-bold-r-normal-*-*-200-*-*-m-*-iso8859-9" does not suppo
rt all the required character sets for the current locale "en_US.iso885915"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")

That said, how do I coerce this into working as desired? - I think its wierd 
that "COURIER" would not support all the characters I would ever need.  I'm not 
getting much of a clue by reading the man page on locale.  Thanks! - richard

Comment 3 Havoc Pennington 2002-06-04 11:40:30 EDT
In the font selector, there's a place to choose encoding; if ISO8859-15 is an
option you want that instead of 8859-9. Otherwise you might try changing your 
locale to 8859-1 (latin 1) in /etc/sysconfig/i18n.
Comment 4 Richard Schaal 2002-06-04 11:56:23 EDT
No joy on the i18n modification - I changed it and rebooted with same results.
You knew I was running gnome...? - there's apparently a variable GDM_LANG that 
is controlling the locale settings.  I've been searching the system without 
finding where that variable resides.
Comment 5 Havoc Pennington 2002-06-04 12:06:34 EDT
GDM_LANG is set dynamically from the Language menu in gdm.

You can always test a single terminal instance with "LANG=whatever gnome-terminal"
Comment 6 Richard Schaal 2002-06-04 13:01:09 EDT
The quick and dirty answer to this problem is to disable the multibyte support 
in the terminal settings. 

I tried locale_config to change the default locale and rebooted - no joy even 
though locale_config remembered the last setting.  I'm getting a headache from 
all this... :-)
Comment 7 Havoc Pennington 2002-07-06 22:57:43 EDT
Should be mopped up in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.